---
layout: flow
title: Join the Trusted Firmware Project
description: >
  Companies and other organisations who adopt, deploy or contribute to Trusted Firmware, or who participate in the firmware and security ecosystem are warmly invited to join the Trusted Firmware community project. Membership of the project is open to all and governance is overseen by a board of Member representatives.
jumbotron:
  title: Join the Trusted Firmware Project
  inner_class: text-white
  description: ""
  image: /assets/images/content/TF_Banner_image.jpg
flow:
  - row: container_row
    style: members_row text-center
    sections:
      - format: title
        title_content:
          size: h2
          text: Our Members
      - format: custom_include
        source: members.html
  - row: main_content_row
permalink: /join/
---

## About Membership And How To Join

Companies and other organisations who adopt, deploy or contribute to Trusted Firmware, or who participate in the firmware and security ecosystem are warmly invited to join the Trusted Firmware community project. Membership of the project is open to all and governance is overseen by a board of Member representatives.

Companies joining the project at the Diamond/Platinum levels can vote and have a seat at Board meetings. Companies joining as General members may attend general meetings and have joint representation at Board meetings. The Community class of membership is open to universitities and other similar not-for-profit organisations.

You are welcome to circulate **[this slide deck](/docs/TrustedFirmware_2021_Sept.pdf)** within your organisation which explains more about the project.

#### Trusted Firmware is an open governance project

- Trusted Firmware project is an open governance community project hosted by Linaro
- Membership of the Trusted Firmware project is open to all
- Governance is overseen by a board of member representatives
- Details of the Governance are in the [Project Charter](/docs/Trusted_Firmware_Charter_v_2021_07_14.pdf)
- The Membership Agreement, Membership levels and Fees can be found [here](/docs/Trusted_Firmware_Membership_Agreement_and_Fee_Table_v_2021_07_14.pdf)

## Next Step for Your Company to Join

To join, the company needs to sign and return a copy of the Membership Agreement and pay an annual fee which depends on the class of membership.

[enquiries@trustedfirmware.org](mailto:enquiries@trustedfirmware.org?subject=Membership Agreement Request - /join/){:.btn.email}

## Trusted Firmware, Arm and Linaro

Arm originally donated the Trusted Firmware-A and Trusted Firmware-M and is now a Platinum Member of the Project. Membership of the project is independent of membership of Linaro. Linaro is a Platinum Member of the Trusted Firmware project and provides governance, hosting and other services.
